;;-*- Mode:LISP; Package:VERIFICATION-INTERNALS; Base:8 -*-
;; (C) Copyright 1983 Lisp Machine, Inc.
;; 11/04/83 22:19:36 -George Carrette
;;
;; Variables which can be specified as part of a deftest measurement.

(defproperties :realtime
	       state-var realtime
	       state-var-after realtime-after
	       measure (time)
	       measure-difference time-difference
	       (measure-convert value) (round-digits (quotient value 60.0) 1)
	       measure-per-loop quotient
	       measure-convert-print "realtime"
	       measure-convert-unit "second")

(defproperties :disk-wait
	       state-var disk-wait
	       state-var-after disk-wait-after
	       measure (read-meter 'sys:%disk-wait-time)
	       measure-difference difference
	       (measure-convert value) (round-digits (quotient value 1.0E6) 3)
	       measure-per-loop quotient
	       measure-convert-print "disk wait time"
	       measure-convert-unit "second")



(defun round-digits (x n)
  (quotient (float (fix (times x (expt 10. n)))) (expt 10. n)))